*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    font-family: "Fredoka", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;

    --bg: #FFFDFF;
    --primary: #202026;

    background-color: var(--bg);
    color: var(--primary);
}

body {
    margin: 0;
}

/* HELPERS */

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

.visually-hidden:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

/* HEADER */

header {
    background-color: #00002e;
    color: var(--bg);
}

nav ul {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    padding: 0;
    margin: 0 0 0 -2em;
}

nav a {
    display: inline-block;
    padding: 1rem 2rem;
    color: inherit;
    text-decoration: none;
}

/* MAIN */
.cards{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    list-style-type: none;
    padding: 0;
    li{
        background-color: white;
        border: solid black;
        border-radius: 1rem;
        box-shadow: 0 0 0.2rem rgba(0, 0, 0, 0.2), 0 0 2rem rgba(0, 0, 0, 0.1);
        overflow: hidden;
        transition: transform 0.2s;
        position: relative;
        display: flex;
        flex-direction: column-reverse;
    }
    li:hover{
        transform: scale(1.05);
        box-shadow: 0 0 1rem rgb(0, 0, 0);
    }
    img{
        height: auto;
    }
}

.content{
    padding: 1rem;
}
.overlay-link{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    color: white;
    display: none;
    justify-content: center;
    align-items: center;

}
.cards li:hover .overlay-link{
    display: flex;
    text-indent: -1000px;
}

@media (min-width: 600px) {
    .cards {
        flex-direction: row;
        flex-wrap: wrap;

        li{
            max-width: 25rem;
        }
    }

}

/* OEFENING 4 */
